<!-- Application -->
{{apiStatusUpdate}}
{{#bs-navbar
  type=(if inverse "inverse")
  position="fixed-top"
  onCollapse=(action (mut collapsed) true)
  onExpand=(action (mut collapsed) false) as |navbar|
}}
  {{#link-to "index" class="navbar-brand"}}
    <img src="/assets/images/logo_metwork_inline.png" height="40" />
  {{/link-to}}
  {{navbar.toggle}}
  {{#navbar.content}}
    {{#navbar.nav class="mr-auto" as |nav|}}
      {{#if (and apiStatus.status.available session.isAuthenticated)}}
        {{#nav.item}}
          {{#nav.link-to "projects"}}
            Projects
          {{/nav.link-to}}
        {{/nav.item}}
        {{#nav.item}}
          {{#nav.link-to "fragsamples"}}
            My Data
          {{/nav.link-to}}
        {{/nav.item}}
        {{#nav.item}}
          {{#nav.link-to "reactions"}}
            Reactions
          {{/nav.link-to}}
        {{/nav.item}}
      {{/if}}
      {{#nav.item}}
        {{#nav.link-to "documentation"}}
          Documentation
        {{/nav.link-to}}
      {{/nav.item}}
    {{/navbar.nav}}
    <div>
      <i>
        {{version}}
      </i>
      <a href="mailto:support@metwork.science" class="btn-like ember-view">
        {{#bs-button type="warning"}}
          {{svg-jar "tools" class="octicon mx-1"}}Support
        {{/bs-button}}
      </a>
      {{#if apiStatus.status.available}}
        {{#if session.isAuthenticated}}
          {{#bs-button type="secondary" onClick=(action "invalidateSession")}}
            Logout
          {{/bs-button}}
          {{#if (not currentUser.isGuest)}}
            {{#link-to "users.show" currentUser.user class="btn-like"}}
              {{#bs-button type="primary"}}
                My account
              {{/bs-button}}
            {{/link-to}}
          {{/if}}
        {{else}}
          {{#link-to "register" class="btn-like"}}
            {{#bs-button type="success"}}
              New user
            {{/bs-button}}
          {{/link-to}}
          {{#link-to "login" class="btn-like mx-1"}}
            {{#bs-button type="primary"}}
              Login
            {{/bs-button}}
          {{/link-to}}
        {{/if}}
      {{/if}}
    </div>
  {{/navbar.content}}
{{/bs-navbar}}
<div id="body" class="container container-main">
  {{outlet}}
</div>